Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.util
Class JavassistToReflect

    java.lang.Object
      org.jboss.aop.util.JavassistToReflect

public class JavassistToReflect
extends Object

Comment

Version:
  $Revision$
Author:
  Kabir Khan

Constructor Summary
`JavassistToReflect()`

Method Summary
`static String` | `castInvocationValueToTypeString(javassist.CtClass type)`
`static String` | `castInvocationValueToTypeString(javassist.CtClass type, String valueName)`
`static String` | `getArrayClassName(javassist.CtClass clazz)`
`static String` | `getClassName(javassist.CtClass clazz)`
`static String` | `getClassObjectString(javassist.CtClass clazz)`
`static String` | `getClassObjectString(javassist.CtClass clazz, boolean isArray)`
`static String` | `getParameterClassArrayString(javassist.CtClass[] params, String arrayName)`
`static String` | `getParameterClassArrayString(String arrayName, javassist.CtBehavior behavior)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavassistToReflect

    public JavassistToReflect()

Method Detail

### getParameterClassArrayString

    public static String getParameterClassArrayString(String arrayName,
                                                      javassist.CtBehavior behavior)
                                               throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### getParameterClassArrayString

    public static String getParameterClassArrayString(javassist.CtClass[] params,
                                                      String arrayName)
                                               throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### getClassObjectString

    public static String getClassObjectString(javassist.CtClass clazz)

### getClassObjectString

    public static String getClassObjectString(javassist.CtClass clazz,
                                              boolean isArray)

### getArrayClassName

    public static String getArrayClassName(javassist.CtClass clazz)

### getClassName

    public static String getClassName(javassist.CtClass clazz)

### castInvocationValueToTypeString

    public static String castInvocationValueToTypeString(javassist.CtClass type)

### castInvocationValueToTypeString

    public static String castInvocationValueToTypeString(javassist.CtClass type,
                                                         String valueName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.